PHP-GTK compilieren

Dieses Thema im Forum "Ruby, php, Perl, Python ..." wurde erstellt von Schneemann, 06.11.2006.

  1. #1 Schneemann, 06.11.2006
    Zuletzt bearbeitet: 06.11.2006
    Schneemann

    Schneemann Routinier

    Dabei seit:
    27.06.2006
    Beiträge:
    289
    Zustimmungen:
    0
    Ort:
    /home/janosch
    Hi,

    Ich habe PHP5, deswegen will ich mir PHP-GTK2 complieren, auch wenn es noch alpha ist. Wenn ich jetzt "./configure" ausführe, sagt er mir dass ich die PHP CLI version brauche. Dabei habe ich diese installiert. Ich benutze mein PHP ja nur für CLI-Anwendungen, da ich gar kein Apache installiert hab.

    gibt es eine Möglichkeit die Überprüfung von PHP CLI zu überspringen, eventuell einfach ein paar Zeilen aus "./configure" löschen, oder so. :hilfe2:

    EDIT: also ich habe die betreffende Zeilen in "./configure" abgeändert, ich will nur noch mal vielleicht eine Antwort erhalten, dass das relativ sicher ist was ich gerade machen. Ich meine mein PHP funktioniert in der Kommandozeile, also überspring ich einfach die Überprüfung. Ich weiß auch nicht wieso PHP bei "php --version" anzeigt dass ich die CGI-Version hab.

    EDIT2: Also hab ma "./configure" mit meiner Änderung laufen lassen läuft wunderbar, also es hat ja wohl niemand was dagegen wenn ich "make" mache.
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. theton

    theton Bitmuncher

    Dabei seit:
    27.05.2004
    Beiträge:
    4.820
    Zustimmungen:
    0
    Ort:
    Berlin, Germany
    Dein Problem wird sein, dass du die dev(el)-Pakete für PHP nicht installiert hast. Den Check im configure zu "deaktivieren" ist ziemlich unsinnig, denn später beim Kompilieren kommt es dann wahrscheinlich trotzdem zu Fehlern.
     
  4. #3 Schneemann, 06.11.2006
    Schneemann

    Schneemann Routinier

    Dabei seit:
    27.06.2006
    Beiträge:
    289
    Zustimmungen:
    0
    Ort:
    /home/janosch
    hi,

    also alles hat wunderbar geklappt. Nur jetzt hab ich die extension, nur wohin damit. Es scheint so als hätte ich zweimal PHP installier. Ich hatte es mir auch nachträglich nochmal kompiliert weil ich phpize brauchte. Unter /etc/php5/cli finde ich die php.ini wodrin das verzeichnis aller extensions eingetragen ist. Ich hab mal die extension dort hin kopiert, funktioniert leider aber nicht.

    Nachträglich hinzugefügt:
    Ich hab es geschafft das die Extension geladen wird und habe einigermaße wieder Überblick über mein PHP (wo was liegt) aber wenn die Extension geladen wird meckert der über die API. Ich lass es lieber mit der Alpha.
     
Thema:

PHP-GTK compilieren

Die Seite wird geladen...

PHP-GTK compilieren - Ähnliche Themen

  1. Artikel: Kodi/XBMC selbst compilieren

    Artikel: Kodi/XBMC selbst compilieren: Wer die aktuellste Kodi/XBMC-Version benötigt, findet diese meist nicht über die Paketverwaltung des Linux-Systems. Es ist aber nicht weiter...
  2. Gentoo via Internetserver Compilieren?

    Gentoo via Internetserver Compilieren?: Hallo, Da ich wieder mal ein Gentoo einrichten möchte, aber dieses mal leider nicht auf ausreichen Rechenleistung zurückgreifen kann um eine...
  3. Artikel: LibreOffice 4.0 selbst compilieren

    Artikel: LibreOffice 4.0 selbst compilieren: Eine der Eigenschaften freier Software ist ganz offensichtlich, dass man den Quellcode beziehen und die Software selbst compilieren kann. Das...
  4. ion3 compilieren?

    ion3 compilieren?: Hallo, Ich moechte von Fluxbox, auf ion3 (testweiße, weil ich sehr neugierig bin) wechseln. Nur wie Compiliere ich das ganze? Habe mir...
  5. Actionscript 3 unter Linux compilieren und swf fähig machen

    Actionscript 3 unter Linux compilieren und swf fähig machen: Moin Moin, ich hab schon die Forumsuche bentuzt und auch bei google geschaut, leider nicht wirklich eine sinvolle Lösung gefunden. Ich suche ein...